/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.db.Partition;

import java.util.Date;


/**
 * 业务组件发布同步表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-11-25 11:15:20  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "业务组件发布同步表")
public class DwReBusComponent extends Partition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_comName = "comName";
  public static final String KEY_comType = "comType";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_isDeleted = "isDeleted";
  private static final String KEY_principalId = "principalId";

  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 32, message="-id: 数据长度不能 > 32" )
  private String id;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-comName: 数据长度不能 > 50" )
  private String comName;
  /**
   * <br>
   */
  @ApiModelProperty("")
  private Integer comType;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 32, message="-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 32, message="-projectId: 数据长度不能 > 32" )
  private String projectId;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 32, message="-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * <br>
   */
  @ApiModelProperty("")
  private Date createdTime;
  /**
   * <br>
   */
  @ApiModelProperty("")
  private Integer isDeleted;

  private String principalId;

  /**
   * <br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * <br>
   */
  public String getComName()
  {
      return comName;
    }

  /**
   * <br>
   *
   * @param comName 
   */
  public void setComName(String comName)
  {
      this.comName = comName;
    }
  /**
   * <br>
   */
  public Integer getComType()
  {
      return comType;
    }

  /**
   * <br>
   *
   * @param comType 
   */
  public void setComType(Integer comType)
  {
      this.comType = comType;
    }
  /**
   * <br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * <br>
   *
   * @param tenantId 
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * <br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * <br>
   *
   * @param projectId 
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * <br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * <br>
   *
   * @param createdBy 
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * <br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * <br>
   *
   * @param createdTime 
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * <br>
   */
  public Integer getIsDeleted()
  {
      return isDeleted;
    }

  /**
   * <br>
   *
   * @param isDeleted 
   */
  public void setIsDeleted(Integer isDeleted)
  {
      this.isDeleted = isDeleted;
    }

  public String getPrincipalId() {
    return principalId;
  }

  public void setPrincipalId(String principalId) {
    this.principalId = principalId;
  }

  public DwReBusComponent()
  {
  }

}
